import 'package:flutter/material.dart';
import 'package:get/get.dart';

class FlxTextFieldController extends GetxController {
  final TextEditingController _controller;

  TextEditingController get textEditingController => _controller;

  final FocusNode _focusNode = FocusNode();
  FocusNode get focusNode => _focusNode;

  bool _isFocus = false;
  bool get isFocus => _isFocus;

  FlxTextFieldController(this._controller) {
    _focusNode.addListener(() {
      _isFocus = !_isFocus;
      update();
    });
  }

  void onTap() {
    if (!_focusNode.hasFocus) {
      _focusNode.requestFocus();
    }
  }
}
