import 'package:flutter/material.dart';

class FlxTextTheme {
  static TextStyle title(BuildContext context) {
    return Theme.of(context).textTheme.headline6!;
  }

  static TextStyle subtitle(BuildContext context) {
    return Theme.of(context).textTheme.subtitle1!;
  }

  static TextStyle text(BuildContext context) {
    return Theme.of(context).textTheme.bodyText1!;
  }

  static TextStyle button(BuildContext context) {
    return Theme.of(context).textTheme.button!;
  }

  static TextStyle field(BuildContext context) {
    return Theme.of(context).textTheme.button!.copyWith(
          fontWeight: FontWeight.w400,
        );
  }

  static TextStyle caption(BuildContext context) {
    return Theme.of(context).textTheme.caption!;
  }
}
